<main>

    <!--<header>
        <div class="header-logo">
            <a routerLink="/" routerLinkActive="active">
                <img src="../../../assets/img/logo_socializer.svg">
            </a>
        </div>
        <div class="login-section py-2">
            Déjà inscrit ?
            <a routerLink="/log-in" routerLinkActive="active" class="btn btn-rounded btn-transparent btn-border--blue">connexion</a>
        </div>
    </header>-->
    <app-header-signin></app-header-signin>

    <div class="register-user-section container">

        <!-- login section header -->


        <div class="main-title">
            <h1>Inscrivez-vous sur <span class="color-red">Socializer.</span></h1>
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
        </div>

        <form [formGroup]="registerForm" (ngSubmit)="onSubmit()" class="register-user-form">
            <div class="row">
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <label for="">Prénom</label>
                        <input type="text" name="firstname"  formControlName="firstname" required="required" placeholder="Prénom" class="form-control">
                    </div>
                    <div *ngIf="submitted && registerForm.controls.firstname.errors">
                        <p *ngIf="registerForm.controls.firstname.errors.required">Firstname Invalid</p>
                    </div>
                </div>
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <label for="">Nom</label>
                        <input type="text" name="lastname" formControlName="lastname" required="required" placeholder="Nom" class="form-control">
                    </div>
                    <div *ngIf="submitted && registerForm.controls.lastname.errors">
                        <p *ngIf="registerForm.controls.lastname.errors.required">Lastname Invalid</p>
                    </div>
                </div>
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <label for="">Nom d'utilisateur</label>
                        <input type="text" name="username" formControlName="username" required="required" maxlength="180" pattern=".{5,}" placeholder="Nom d'utilisateur" class="form-control" title="Au moins 5 caractéres">
                    </div>
                    <div *ngIf="submitted && registerForm.controls.username.errors">
                        <p *ngIf="registerForm.controls.username.errors.required">Username Invalid</p>
                    </div>
                </div>
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <label for="">Email</label>
                        <input type="email" name="email" formControlName="email" required="required" placeholder="Email" class="form-control">
                    </div>
                    <div *ngIf="submitted && registerForm.controls.email.errors">
                        <p *ngIf="registerForm.controls.email.errors.required">Enter an email</p>
                        <p *ngIf="registerForm.controls.email.errors.email">Bad format of email</p>                        
                    </div>
                </div>
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <label for="">Mot de passe</label>
                        <input type="password" name="password" formControlName="password" required="required" placeholder="Mot de passe" class="form-control">
                        <p class="help-block">
                            Au moins 6 caractéres, avec une majuscule, une minuscule et un chiffre
                        </p>
                    </div>
                    <div *ngIf="submitted && registerForm.controls.password.errors">
                        <p *ngIf="registerForm.controls.password.errors.required">Password Invalid</p>
                    </div>
                </div>
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <label for="">Confirmation mot de passe</label>
                        <input type="password" name="confirmpassword" formControlName="confirmpassword" required="required" placeholder="Confirmez votre mot de passe" class="form-control">
                    </div>
                    <div *ngIf="submitted && registerForm.controls.confirmpassword.errors">
                        <p *ngIf="registerForm.controls.confirmpassword.errors.required">Confirm password Invalid</p>
                    </div>
                </div>
                <div class="col-md-12 col-xs-12">
                    <div class="cgu-wrapper">
                        <input type="checkbox" id="cgu" name="cgu" required="required">
                        En vous inscrivant en tant qu'utilisateur, vous confirmez que vous acceptez les Conditions Générales du site et déclarez être informé des obligations civiles et fiscales qui incombent aux photographes exerçant une activité rémunérée.
                        <a target="_blank" href="/cgu">Lire les CGU</a>
                    </div>
                </div>
            </div>
            <button type="submit" class="btn btn-rounded btn-green">
                Je m'inscris
            </button>
            <div *ngIf="submitted">
                <p>le formulaire est valide</p>
            </div>
        </form>

    </div>

</main>
